#ifndef __TONEMAPPER_H
#define __TONEMAPPER_H

#include "common.h"

namespace CHCDemoEngine 
{

class ColorBufferObject;

/** Class representing a tone mapping algorithm
*/
class ToneMapper
{
public:
	
	ToneMapper();
	/** Caculates average log lumincance.
	*/
	float CalcImageKey(ColorBufferObject *colorBuffer) const;
};

}

#endif // __TONEMAPPER_H